Bug 250765 - ati driver refuses to touch Rage XL card
ati driver refuses to touch Rage XL card
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 10:46 EDT by Rik van Riel
Modified: 2012-04-17 15:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 15:52:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2007-08-03 10:46:26 EDT
Description of problem:

With a PCIe RV370 card and a PCI Rage XL card in my system, X refuses to touch
the Rage XL card when I tell it to use the "ati" or "atimisc" driver.

I spent a night debugging X under direction of Dave Airlie, hacking up the
xorg-x11-drv-ati from rawhide to make it load under RHEL5.  It still would not
even touch the Rage XL card.

X -probeonly output only mentioned the RV370 card...

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.6.3-3.2.el5

Steps to Reproduce:
1. Xinerama setup with 2 monitors attached to the Radeon, one to the Rage XL
2. see X not touch the Rage XL card
3.
  
I'll bring the Radeon card to the office for testing.

Expected results:

X tries to at least initialize the Rage XL.  It isn't even being posted...
Comment 1 Rik van Riel 2007-08-03 10:49:38 EDT
Note that with 'Driver "ati"' in xorg.conf, the atimisc sub module is not
getting loaded.
Comment 2 Matěj Cepl 2007-09-20 09:39:19 EDT
That's cool, but I think it should be ASSIGNed to somebody (Rik, to you?, or ajax?)
Comment 3 Adam Jackson 2012-03-12 13:17:46 EDT
Is this still an issue in RHEL6?  I don't think we're likely to touch the mach64 support in RHEL5 at this point.
Comment 4 Adam Jackson 2012-04-17 15:52:35 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  If
this issue still occurs with RHEL6, please fix the affected product version and
reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.